require_relative "./event_module.rb"
require_relative "./funding_module.rb"

class CommandLineInterface
  
  include FundingModule::InstanceMethods
  include EventModule::InstanceMethods
  
  def run
    puts "\nWelcome to "+"STEM for Women!".colorize(:light_magenta)+"\nPlease enter "+"E".colorize(:light_blue)+" to view events or enter "+"F".colorize(:light_blue)+" to view funding options:"
    input = gets.strip.downcase
    if input == "e"
      event_sequence
    elsif input == "f"
      scholarship_sequence
    elsif input == "exit" || input == "q" || input == "quit"
      exit
    else
      run
    end
  end
  
  def error
    "\nPlease enter a valid response."
  end
  
  def prompt
    "Please enter Y or N."
  end
  
  def goodbye
    "\nGoodbye!\n"
  end
  
end